using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper5.src.Skyscraper.Scraper.Dns
{
	public interface IDnsDataSource
	{
		long DnsCountA();
		/// <summary>
		/// "SELECT domain_name FROM dns_ips ips LEFT JOIN dns_records records on ips.ip_id = records.ip_id LEFT JOIN dns_domains domains on records.domain_id = domains.domain_id WHERE ips.ip_address = @ia AND (records.record_type = 1 OR records.record_type = 28)"
		/// </summary>
		/// <param name="source"></param>
		/// <returns></returns>
		string DnsIpToName(IPAddress source);
		void RememberDnsRecord(DnsRecord record);
		bool TestForIp(IPAddress iP);
	}
}
